%define		api		1.0
%define		gi_libname	%mklibname gdprivate-gir %{api}

%define url_ver	%(echo %{version}|cut -d. -f1,2)

Name:		gnome-documents
Version:	0.4.1
Release:	%mkrel 1
License:	GPLv2+
Summary:	Document manager application for GNOME
Url:		http://www.gnome.org/
Group:		Graphical desktop/GNOME
Source0:	http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	gobject-introspection-devel
BuildRequires:	intltool
BuildRequires:	pkgconfig(evince-document-3.0) >= 3.3.0
BuildRequires:	pkgconfig(evince-view-3.0) >= 3.3.0
BuildRequires:	pkgconfig(gobject-introspection-1.0) >= 0.9.6
BuildRequires:	pkgconfig(glib-2.0) >= 2.29.90
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.1.13
BuildRequires:	pkgconfig(gnome-desktop-3.0)
BuildRequires:	pkgconfig(tracker-sparql-0.14) >= 0.13.1
BuildRequires:	pkgconfig(goa-1.0) >= 3.1.90
BuildRequires:	pkgconfig(libgdata) >= 0.9.1
BuildRequires:	pkgconfig(clutter-gtk-1.0) >= 1.0.1
# gjs-1.0 is needed to get the path to gjs-console
BuildRequires:	pkgconfig(gjs-1.0)
Requires:	gjs
Requires:	tracker

Obsoletes:	%{_lib}gdprivate1.0_0 < 0.3.3
Obsoletes:	%{_lib}gdprivate1.0-devel < 0.3.3

%description
Documents is a document manager application for GNOME.

%package -n %{gi_libname}
Summary:	GObject introspection interface for %{name}
Group:		System/Libraries

%description -n %{gi_libname}
GObject introspection interface for %{name}.

%prep
%setup -q
%apply_patches

%build
%configure2_5x
%make

%install
rm -rf %{buildroot}
%makeinstall_std

%find_lang %{name}

#we don't want these
find %{buildroot} -name "*.la" -delete

%files -f %{name}.lang
%doc AUTHORS NEWS README
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/%{name}
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_libdir}/%{name}/libgdprivate-%{api}.so
%{_libexecdir}/gd-tracker-gdata-miner
%{_libexecdir}/gnome-documents-search-provider
%{_datadir}/glib-2.0/schemas/org.gnome.documents.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.Documents.enums.xml
%{_datadir}/dbus-1/services/org.gnome.Documents.GDataMiner.service
%{_datadir}/dbus-1/services/org.gnome.Documents.SearchProvider.service
%{_datadir}/gnome-shell/search-providers/gnome-documents-search-provider.ini

%files -n %{gi_libname}
%{_libdir}/%{name}/girepository-1.0/Gd-%{api}.typelib


%changelog

* Mon Apr 16 2012 ovitters <ovitters> 0.4.1-1.mga2
+ Revision: 231075
- new version 0.4.1

* Sat Apr 14 2012 ovitters <ovitters> 0.4.0.1-2.mga2
+ Revision: 230769
- require tracker (mga#5390)

* Mon Mar 26 2012 ovitters <ovitters> 0.4.0.1-1.mga2
+ Revision: 226995
- new version 0.4.0.1

* Mon Mar 26 2012 ovitters <ovitters> 0.4.0-1.mga2
+ Revision: 226725
- drop merged patch
- new version 0.4.0

* Thu Mar 22 2012 ovitters <ovitters> 0.3.92-2.mga2
+ Revision: 225770
- rebuild for new evince

* Wed Mar 21 2012 ovitters <ovitters> 0.3.92-1.mga2
+ Revision: 225578
- add upstream patch to fix desktop files
- new version 0.3.92
- drop merged patch

* Fri Mar 09 2012 fwang <fwang> 0.3.91-1.mga2
+ Revision: 222104
- fix desktop file
- new version 0.3.91

* Wed Feb 22 2012 wally <wally> 0.3.90-1.mga2
+ Revision: 212253
- bump tracker dep

  + ovitters <ovitters>
    - new version

* Tue Jan 17 2012 ovitters <ovitters> 0.3.4-2.mga2
+ Revision: 197115
- new version

* Wed Dec 28 2011 ovitters <ovitters> 0.3.3-2.mga2
+ Revision: 188285
- fix mga#3901

* Wed Dec 21 2011 wally <wally> 0.3.3-1.mga2
+ Revision: 185457
- new version 0.3.3
- drop lib and devel pkgs
- drop P0

* Wed Nov 23 2011 fwang <fwang> 0.3.2-1.mga2
+ Revision: 171132
- link with m
- new version 0.3.2

* Mon Oct 17 2011 wally <wally> 0.2.1-1.mga2
+ Revision: 155805
- new version 0.2.1

* Mon Sep 26 2011 fwang <fwang> 0.2.0-1.mga2
+ Revision: 148729
- new version 0.2.0

* Mon Sep 19 2011 fwang <fwang> 0.1.92-1.mga2
+ Revision: 145534
- new version 0.1.92

* Wed Sep 07 2011 wally <wally> 0.1.91-1.mga2
+ Revision: 140855
- new version 0.1.91

  + ovitters <ovitters>
    - fix provides of the devel package

* Wed Aug 31 2011 pterjan <pterjan> 0.1.90-1.mga2
+ Revision: 136821
- Add explicit dependency in Makefile to fix parallel build

  + ovitters <ovitters>
    - do not put the same file in devel as well as lib package
    - use tabs everywhere, fix source URL, don't have commented out buildrequires, add gjs runtime requirement
    - imported package gnome-documents

